uniform float time;

void main() {
     	    
  float speed = gl_Color.y;
  float size = gl_Color.x;
  float id = gl_Color.z;
  float lifetime = 3.0;
  vec3 direction = gl_Normal;

  float offset = fmod(id+time, lifetime);
  position = gl_Position + direction * offset;

}
